<template>
  <div class="simpleBoard" @click="onClickHandler">
    {{ boardName }}
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'SimpleBoard',
  components: {},
  props: {
    boardName: {
      required: true,
    },
  },
  setup() {
    function onClickHandler() {
      console.log('Clard clicked');
    }
    return {
      onClickHandler,
    };
  },
});
</script>

<style scoped lang="scss">
.simpleBoard {
  display: flex;
  place-items: center;
  font-weight: bold;
  font-size: 18px;
  width: 90%;
  height: 70px;
  padding: 10px;
  margin: 5px 5px 15px 5px;
  border-radius: var(--border-radius);
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;

  &:hover {
    cursor: pointer;
  }
}
</style>
